Block an account
Accounts
Block an account
This endpoint is used to delete existing data and block new data from being stored on the specified account. This may be necessary in order to comply with certain rules, regulations, or standards.
This endpoint does several things.
- It immediately and permanently deletes most data from the account object. Certain information is retained that is necessary for MX to prevent the account from being re-added.
- It prevents MX from creating or storing any additional data associated with the account, for example transactions, holdings, statements, etc.
- It immediately and permanently deletes all data associated with the account, for example transactions, holdings, statements, etc.
This action cannot be taken on manual accounts, in other words accounts with
is_manual is true. Attempting to perform a block on a manual account will result in a 400 Bad Request error with the message Manually created accounts cannot be blocked. Objects deleted as a result of blocking an account will issue a webhook for that object with the action set to deleted. For example, account deleted, transaction deleted, etc. There is no special webhook or action for blocking.
This endpoint accepts the optional
MX-Skip-Webhook header and skip_webhook parameter.PUT
Block an account
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the account. Defined by MX
Response
200
OK

